from app import create_app, db
from app.models import Game, Player, Objective, Location, Notification, GamePlayer, \
    PlayerFoundObjective, NotificationPlayer, PlayerCaughtPlayer, Role, GameState

app = create_app()

@app.shell_context_processor
def make_shell_context():
    return {'db': db, 'Game' : Game, 'Player' : Player, 'Objective' : Objective,
            'Location' : Location, 'Notification' : Notification, 'GamePlayer' : GamePlayer,
            'PlayerFoundObjective' : PlayerFoundObjective, 'NotificationPlayer' : NotificationPlayer,
            'PlayerCaughtPlayer' : PlayerCaughtPlayer, 'Role' : Role, 'GameState' : GameState}